Bug 1333970 (plasma-applet-redshift-control) - Review Request: plasma-applet-redshift-control - Plasma 5 applet for redshift
Summary: Review Request: plasma-applet-redshift-control - Plasma 5 applet for redshift
Keywords:
Status: CLOSED ERRATA
Alias: plasma-applet-redshift-control
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Raphael Groner
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: plasma5
TreeView+ depends on / blocked
 
Reported: 2016-05-06 20:44 UTC by Christian Dersch
Modified: 2016-05-26 10:56 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-05-20 17:38:00 UTC
projects.rg: fedora-review+


Attachments (Terms of Use)

Description Christian Dersch 2016-05-06 20:44:21 UTC
Spec URL: https://lupinix.fedorapeople.org/review/plasma-applet-redshift-control.spec
SRPM URL: https://lupinix.fedorapeople.org/review/plasma-applet-redshift-control-1.0.17-1.fc24.src.rpm

Description: Plasma 5 applet for controlling redshift (screen temperature modifying). It allowes basic redshift settings and fast manual temperature control by mouse wheel.

Fedora Account System Username: lupinix

Comment 2 Raphael Groner 2016-05-14 19:30:51 UTC
Review swap with bug #1336141?

Comment 3 Raphael Groner 2016-05-14 19:59:33 UTC
Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed


Issues:
=======
- Package installs a %{name}.desktop using desktop-file-install or desktop-
  file-validate if there is such a file.


===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "Unknown or generated". 5 files have unknown license. Detailed
     output of licensecheck in /home/builder/fedora-review/1333970-plasma-
     applet-redshift-control/licensecheck.txt
=> GPLv2+ text is in LICENSE.

[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: The spec file handles locales properly.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package contains desktop file if it is a GUI application.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 0 bytes in 0 files.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[!]: Avoid bundling fonts in non-fonts packages.
     Note: Package contains font files
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[?]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[-]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Uses parallel make %{?_smp_mflags} macro.
[x]: Sources can be downloaded from URI in Source: tag
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: plasma-applet-redshift-control-1.0.17-1.fc25.noarch.rpm
          plasma-applet-redshift-control-1.0.17-1.fc25.src.rpm
plasma-applet-redshift-control.noarch: W: spelling-error %description -l en_US allowes -> allowed, allows, all owes
plasma-applet-redshift-control.noarch: W: no-documentation
plasma-applet-redshift-control.src: W: spelling-error %description -l en_US allowes -> allowed, allows, all owes
2 packages and 0 specfiles checked; 0 errors, 3 warnings.




Rpmlint (installed packages)
----------------------------
sh: /usr/bin/python: No such file or directory
plasma-applet-redshift-control.noarch: W: spelling-error %description -l en_US allowes -> allowed, allows, all owes
plasma-applet-redshift-control.noarch: W: no-documentation
1 packages and 0 specfiles checked; 0 errors, 2 warnings.



Requires
--------
plasma-applet-redshift-control (rpmlib, GLIBC filtered):
    kf5-filesystem
    plasma-desktop
    redshift



Provides
--------
plasma-applet-redshift-control:
    plasma-applet-redshift-control



Source checksums
----------------
https://github.com/kotelnik/plasma-applet-redshift-control/archive/v1.0.17.tar.gz :
  CHECKSUM(SHA256) this package     : d7a1e44504c695dc679cd76e07fa6e502749456dfd65792eaedfbe2a5d425cf2
  CHECKSUM(SHA256) upstream package : d7a1e44504c695dc679cd76e07fa6e502749456dfd65792eaedfbe2a5d425cf2


Generated by fedora-review 0.6.1 (f03e4e7) last change: 2016-05-02
Command line :/usr/bin/fedora-review -v -m fedora-rawhide-x86_64 -b 1333970
Buildroot used: fedora-rawhide-x86_64
Active plugins: Generic, Shell-api
Disabled plugins: Java, C/C++, Python, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP
Disabled flags: EXARCH, DISTTAG, EPEL5, BATCH, EPEL6

Comment 4 Gwyn Ciesla 2016-05-15 15:23:57 UTC
Package request has been approved: https://admin.fedoraproject.org/pkgdb/package/rpms/plasma-applet-redshift-control

Comment 5 Fedora Update System 2016-05-15 16:03:33 UTC
plasma-applet-redshift-control-1.0.17-1.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2016-8198362676

Comment 6 Fedora Update System 2016-05-15 16:03:40 UTC
plasma-applet-redshift-control-1.0.17-1.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-97b9e0ad10

Comment 7 Fedora Update System 2016-05-15 16:03:45 UTC
plasma-applet-redshift-control-1.0.17-1.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2016-b2e29dc70b

Comment 8 Fedora Update System 2016-05-16 23:56:52 UTC
plasma-applet-redshift-control-1.0.17-1.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-8198362676

Comment 9 Fedora Update System 2016-05-17 03:53:51 UTC
plasma-applet-redshift-control-1.0.17-1.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-b2e29dc70b

Comment 10 Fedora Update System 2016-05-17 04:24:48 UTC
plasma-applet-redshift-control-1.0.17-1.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-97b9e0ad10

Comment 11 Fedora Update System 2016-05-20 17:37:57 UTC
plasma-applet-redshift-control-1.0.17-1.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.

Comment 12 Fedora Update System 2016-05-25 00:53:56 UTC
plasma-applet-redshift-control-1.0.17-1.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.

Comment 13 Fedora Update System 2016-05-26 10:56:15 UTC
plasma-applet-redshift-control-1.0.17-1.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.